Subject: Re: [DNSOP] [dns-privacy] Verisign patent disclosure

From: Paul Hoffman <[email-masked]>
Date: Wed, 5 Nov 2014 09:39:26 -0800

[[ I'm moving this thread from the dns-privacy mailing list because people there have not noticed that the draft is being discussed in dnsop ]]

On Nov 5, 2014, at 8:04 AM, Ray Bellis <[email-masked]> wrote:
> Would the 2007 implementation of a botnet with a built-in recursive resolver that sends QNAME-minimised queries to the root to find the relevant TLD NS records count?

Quite possibly, depending on the description of the botnet. I can't find any such description with a little bit of searching, but I could easily be looking for the wrong keywords.

If someone (even a criminal gang) implemented the basic ideas well before other purported inventors, a patent-granting agency could very well decide that the idea is not novel. Describing an early implementation could affect the patent-granting process.

--Paul Hoffman